import pandas as pd
import seaborn as sns
import matplotlib.pyplot as plt

if __name__ == '__main__':
    data = pd.read_csv('commit_analysis.csv')
    data.dropna(inplace=True)

    x = data.groupby('phases').size().reset_index()

    g = sns.catplot(y="phases", kind="count", data=data, color='green') \
        .set(title='Istanze dei fix in base alla fase') \
        .set(ylabel='fase')

    ax = g.facet_axis(0, 0)
    for p in ax.patches:
        ax.text(
            p.get_width() + 0.2,
            p.get_y() + p.get_height() / 2,
            p.get_width(),
            color='black', rotation='horizontal', size='large')

    plt.tight_layout()
    plt.savefig('../src/figures/count-fix-phases.pdf')
    #plt.show()
