import pandas as pd
import seaborn as sns
import matplotlib.pyplot as plt

if __name__ == '__main__':
    data = pd.read_csv('commit_analysis.csv')
    data['type'] = data['is_ml'].apply(lambda x: 'ML' if x else 'No ML')

    ylim = data['day_to_fix'].quantile(0.95)
    sns.catplot(x='type', y='day_to_fix', kind='box', data=data) \
        .set(title='Giorni necessari per un fix') \
        .set(xlabel='tipo') \
        .set(ylabel='giorni') \
        .set(ylim=(0, ylim))
    plt.tight_layout()
    plt.savefig('../src/figures/day-to-fix.pdf')
